#!/bin/csh

#make 

echo -n 'Hauteur ?  '
#set H = $<
set H = 60

echo -n 'Longueur ?  '
#set L = $<
set L = 1000

echo -n 'Profondeur ?  '
#set L = $<
set P = 1000

echo -n 'Fichier Source (.bin)?  '
#set No = $<
set No = TE

set N = $No{.bin}

@ H1 = $H - 1

./bin2png $N $H $L $P -cv0 -lum 135 -lc

display {$No}_lum.png &

./regenesis $N $H $L $P alpha
./bin2png TERRE_{$H}_{$L}_{$P}.bin $H $L $P -cv0 -lum 135 -lc
echo -n ' '

echo "La figure est visualisable dans TERRE_"$H"_"$L"_"$P"_lum.png"
echo -n ' '
echo -n ' '

display TERRE_{$H}_{$L}_{$P}_lum.png &
